TokyoTyrantIterator::rewind
TokyoTyrantException
TokyoTyrantIterator
PHP Manual

# TokyoTyrantIterator::valid

(PECL tokyo_tyrant >= 0.2.0)

TokyoTyrantIterator::valid — Rewinds the iterator

### Description

public bool TokyoTyrantIterator::valid ( void )

Checks whether the internal pointer points to valid element.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the current item is valid and `FALSE` if not.

### See Also

- TokyoTyrantIterator::key() - Returns the current key
- TokyoTyrantIterator::current() - Get the current value
- TokyoTyrantIterator::next() - Move to next key
- TokyoTyrantIterator::rewind() - Rewinds the iterator

TokyoTyrantIterator::rewind
TokyoTyrantException
TokyoTyrantIterator
PHP Manual